#
# spec file for package perl-DBD-mysql (Version 3.0002)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  mysql-devel mysql-shared perl-DBI perl-Data-ShowTable

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool mysql4-devel mysql4-shared perl perl-DBI perl-Data-ShowTable rpm

Name:         perl-DBD-mysql4
URL:          http://cpan.org/modules/by-module/DBD/
License:      Artistic License
Group:        Development/Libraries/Perl
Obsoletes:    mysqperl perl-Msql-Mysql-modules
Provides:     mysqperl perl-Msql-Mysql-modules
Requires:     perl-DBI perl-Data-ShowTable
Requires:     perl = %{perl_version}
Autoreqprov:  on
Version:      3.0002
Release:      2
Summary:      Interface to the MySQL database
Group:        Development/Libraries/Perl
Source:       http://www.cpan.org/modules/by-module/Mysql/DBD-mysql-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%define _prefix /usr

%description
A Perl5 Database Interface to the MySQL database



Authors:
--------
    Jochen Wiedmann <joe@ispsoft.de>

%debug_package
%prep
%setup -n DBD-mysql-%{version}

%build
perl Makefile.PL --verbose
make
#make test

%install
%perl_make_install
%perl_process_packlist

%clean
# Clear up the mess
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ChangeLog README INSTALL.html TODO
%doc %{_mandir}/man?/*
%{perl_vendorarch}/auto/DBD
%{perl_vendorarch}/Bundle/DBD
%{perl_vendorarch}/Mysql
%{perl_vendorarch}/DBD
%{perl_vendorarch}/Mysql.pm
/var/adm/perl-modules/perl-DBD-mysql4

%changelog -n perl-DBD-mysql
* Fri Jul 29 2005 - mjancar@suse.cz
- update to 3.0002
* Thu Aug 19 2004 - mjancar@suse.cz
- update to 2.9004
* Wed Mar 31 2004 - kukuk@suse.de
- Replace perl-Msql-Mysql-modules
* Mon Mar 08 2004 - mjancar@suse.cz
- new package to replace perl-Msql-Mysql-modules
